package de.unikoblenz.fgbks.dmn.core.verifier.helper;

import org.camunda.bpm.dmn.engine.DmnDecision;
import org.camunda.bpm.dmn.engine.impl.DmnDecisionTableInputImpl;

public class InputType extends Type {

  private InputType(String descisionKey, String id, DataType dataType, String expression) {
    super(descisionKey, id, dataType, expression);
  }

  public InputType(DmnDecision d, DmnDecisionTableInputImpl input) {
    this(
        d.getKey(),
        input.getId(),
        DataType.getTypeFromString(input.getExpression().getTypeDefinition().getTypeName()),
        input.getExpression().getExpression());
  }
}
