package de.unikoblenz.fgbks.dmn.core.verifier.helper;

import org.camunda.bpm.dmn.engine.DmnDecision;
import org.camunda.bpm.dmn.engine.impl.DmnDecisionTableOutputImpl;

public class OutputType extends Type {

  private OutputType(String descisionKey, String id, DataType dataType, String expression) {
    super(descisionKey, id, dataType, expression);
  }

  public OutputType(DmnDecision d, DmnDecisionTableOutputImpl output) {
    this(
        d.getKey(),
        output.getId(),
        DataType.getTypeFromString(output.getTypeDefinition().getTypeName()),
        output.getOutputName());
  }
}
