package de.unikoblenz.fgbks.base.utils;

import javax.interceptor.AroundInvoke;
import javax.interceptor.InvocationContext;
import javax.ws.rs.core.Response;

public class ExceptionInterceptor {

  @AroundInvoke
  public Object value(InvocationContext context) {
    Object proceedResponse;
    try {
      proceedResponse = context.proceed();
    } catch (Exception ex) {
      return Response.serverError().entity(ex.getMessage()).build();
    }
    return proceedResponse;
  }
}
